=== src/programs/agg_seg/CMakeLists.txt ===
set(PROGRAM agg_seg)
set(SRCS
  agg_all_seg.c
  agg_phn_seg.c
  agg_st_seg.c
  cnt_phn_seg.c
  cnt_st_seg.c
  main.c
  mk_seg.c
  parse_cmd_ln.c
  )

add_executable(${PROGRAM} ${SRCS})
target_link_libraries(${PROGRAM} sphinxtrain)
target_include_directories(
  ${PROGRAM} PRIVATE ${CMAKE_BINARY_DIR}
  ${PROGRAM} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}
  ${PROGRAM} PUBLIC ${CMAKE_SOURCE_DIR}/include
  ${PROGRAM} INTERFACE ${CMAKE_SOURCE_DIR}/include
  )
install(TARGETS ${PROGRAM} RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/sphinxtrain)
