## sphinxtrain 1.0.8

=== debian/changelog ===
sphinxtrain (1.0.8-4) unstable; urgency=medium

  * Use dh-autoreconf.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 22 Aug 2014 00:05:39 +0200

sphinxtrain (1.0.8-3) unstable; urgency=medium

  * Build-Depend on pkg-config (Closes: Bug#741784).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 16 Mar 2014 15:52:12 +0100

sphinxtrain (1.0.8-2) unstable; urgency=low

  [ Samuel Thibault ]
  * Bump Standards-Version to 3.9.5 (no changes).
  * control: build-depend on python-support.

  [ Roland Stigge ]
  * patches/fix-powerpcspe.patch: New patch to fix FTBFS on big-endian archs
    (Closes: #734273).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Jan 2014 17:07:57 +0100

sphinxtrain (1.0.8-1) unstable; urgency=low

  * Initial release (Closes: #697153)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Jan 2013 04:10:21 +0100
