=== debian/control ===
Source: sphinxtrain
Section: sound
Priority: extra
Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 8.0.0), dh-autoreconf,
 pkg-config, libsphinxbase-dev, python-support
Standards-Version: 3.9.5
Homepage: http://cmusphinx.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-a11y/sphinxtrain.git
Vcs-Browser: http://git.debian.org/?p=pkg-a11y/sphinxtrain.git;a=summary

Package: sphinxtrain
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python, ${python:Depends}
Description: Speech recognition tool - training tool
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the training tool
