=== debian/watch ===
version=3
http://sf.net/cmusphinx/sphinxtrain-(.*)\.tar\.gz
