## sphinxtrain 1.0.8+5prealpha

=== debian/changelog ===
sphinxtrain (1.0.8+5prealpha-3) unstable; urgency=medium

  * patches/paths: Fix finding binaries.
  * Really fix sphinxbase binaries installation (Closes: Bug#806822).

 -- Samuel Thibault <sthibault@debian.org>  Fri, 04 Dec 2015 20:31:49 +0100

sphinxtrain (1.0.8+5prealpha-2) unstable; urgency=medium

  * watch: Generalize URL.
  * rules: Install sphinxbase binaries into non-multiarch paths
    (Closes: Bug#806822).

 -- Samuel Thibault <sthibault@debian.org>  Wed, 02 Dec 2015 01:28:29 +0100

sphinxtrain (1.0.8+5prealpha-1) unstable; urgency=medium

  * New upstream release.
    - patches/fix-powerpcspe.patch: Merged.
    - patches/license: Add missing license file.
    - patches/fstutils: Fix typo.
    - control: Bump libsphinxbase-dev dependency version.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 24 Oct 2015 16:22:47 +0200

sphinxtrain (1.0.8-5) unstable; urgency=medium

  * Switch to dh-python (Closes: Bug#786043).
  * Bump Standards-Version to 3.9.6 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Jul 2015 00:30:04 +0200
