=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Accessibility Team <debian-accessibility@lists.debian.org>
 Uploaders: Samuel Thibault <sthibault@debian.org>
 Build-Depends: debhelper (>= 8.0.0), dh-autoreconf,
- pkg-config, libsphinxbase-dev, python-support
-Standards-Version: 3.9.5
+ pkg-config, libsphinxbase-dev (>= 0.8+5prealpha~), dh-python, python (>= 2.6.6-3~)
+Standards-Version: 3.9.6
 Homepage: http://cmusphinx.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-a11y/sphinxtrain.git
 Vcs-Browser: http://git.debian.org/?p=pkg-a11y/sphinxtrain.git;a=summary
