=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

%:
	dh $@  --with autoreconf,python2

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=\$${prefix}/lib
