## sphinxtrain 1.0.8+5prealpha+1

=== debian/changelog ===
sphinxtrain (1.0.8+5prealpha+1-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * Use canonical anonscm vcs URL.
  * control: Update maintainer mailing list.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.1.

  [ Paul Gevers ]
  * New upstream
  * Refresh patches and drop patches applied upstream
  * Fix watch file for version mangling (and hope upstream doesn't release
    again with the same version name)
  * Bump debhelper compat level to 10
  * Fix d/copyright to adhere to machine parsable format (thanks Lintian)
  * Add fix-typos-found-by-lintian.patch (thanks Lintian)
  * Bump Standards-Version to 4.1.2
  * Enable more hardening
  * Add myself to uploaders

 -- Paul Gevers <elbrus@debian.org>  Sat, 23 Dec 2017 21:37:46 +0100

sphinxtrain (1.0.8+5prealpha-4) unstable; urgency=medium

  * patches/timestamp: Get rid of build timestamp.
  * control: Bump Standards-Version to 3.9.7 (no change).

 -- Samuel Thibault <sthibault@debian.org>  Tue, 23 Feb 2016 01:22:11 +0100
