=== debian/control ===
Source: sphinxtrain
Section: sound
Priority: optional
Maintainer: Debian Accessibility Team <pkg-a11y-devel@lists.alioth.debian.org>
Uploaders:
 Paul Gevers <elbrus@debian.org>,
 Samuel Thibault <sthibault@debian.org>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 libsphinxbase-dev (>= 0.8+5prealpha~),
 pkg-config,
 python (>= 2.6.6-3~),
Standards-Version: 4.1.2
Homepage: https://cmusphinx.github.io/
Vcs-Git: https://anonscm.debian.org/git/pkg-a11y/sphinxtrain.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-a11y/sphinxtrain.git

Package: sphinxtrain
Architecture: any
Depends:
 python,
 ${misc:Depends},
 ${perl:Depends},
 ${python:Depends},
 ${shlibs:Depends},
Description: Speech recognition tool - training tool
 CMU Sphinx is a large vocabulary, speaker-independent continuous speech
 recognition engine.
 .
 This package contains the training tool
