=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@  --with python2

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=\$${prefix}/lib
