## sphinxtrain 5.0.0

=== debian/changelog ===
sphinxtrain (5.0.0-1) unstable; urgency=medium

  * New upstream release
    - control: Drop libsphinxbase-dev build-dep. Add cmake build-dep.
    - docs: Update.
    - patches/paths: Fixed upstream.
    - patches/python3: Updated.
    - patches/word_align: Drop bogus file.
    - rules: Drop libexecdir configure option
    - rules: Avoid installing libsphinxtrain.a.
  * watch: Update URL.
  * control: Replace pkg-config deps with pkgconf.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 14 Feb 2026 15:09:57 +0100

sphinxtrain (1.0.8+5prealpha+1-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Set Rules-Requires-Root to no.
  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * control, rules: Replace dh-python and --with python3 with
    dh-sequence-python3.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libsphinxbase-dev.
  * Update standards version to 4.6.1, no changes needed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Jan 2023 22:52:09 +0100

sphinxtrain (1.0.8+5prealpha+1-4) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.5.0 (no change)
  * Bump debhelper from 10 to 12.
  * control: Fix migrating from python:Depends to python3:Depends.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Repository.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 01 Jan 2021 16:59:45 +0100

sphinxtrain (1.0.8+5prealpha+1-3) unstable; urgency=medium

  * control: Set Vcs-* to salsa.debian.org.
  * control: Bump Standards-Version to 4.4.0 (no changes).
  * watch: Add github url.
  * control: Update alioth list domain.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 09 May 2020 00:48:04 +0200

sphinxtrain (1.0.8+5prealpha+1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0 (no changes).
  * patches/python3: Use python3.
  * rules: Use --with python3 instead of python2.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 22 Jul 2019 21:23:27 +0200
