=== debian/watch ===
Version: 5

Template: GitHub
Owner: cmusphinx
Project: sphinxtrain
Version-Type: STABLE_VERSION
